import Home from "../../portal/views/home/Home.vue";
import student from "../view/student.vue";
import examStudentImport from "../view/examStudentImport.vue";
import examStudent from "../view/examStudent.vue";
import examInfo from "../view/examInfo.vue";
import traditionExam from "../view/traditionExam.vue";
import onlineExam from "../view/onlineExam.vue";
import practiceExam from "../view/practiceExam.vue";
import offlineExam from "../view/offlineExam.vue";
import printExam from "../view/printExam.vue";
import offlineExamOrgSettings from "../view/offlineExamOrgSettings.vue";
import onlineExamOrgSettings from "../view/onlineExamOrgSettings.vue";
import Tips from "../../portal/views/tips/Tips.vue";
import notice from "../view/notice.vue";

export default [
  {
    path: "/examwork", //考务
    meta: { auth: false },
    component: Home,
    children: [
      {
        path: "tips", //学生管理
        component: Tips
      },
      {
        path: "student", //学生管理
        meta: { pageName: "学生管理" },
        component: student
      },
      {
        path: "examStudentImport", //考生导入
        meta: { pageName: "考生导入" },
        component: examStudentImport
      },
      {
        path: "examStudent", //考生管理
        meta: { pageName: "考生管理" },
        component: examStudent
      },
      {
        path: "examInfo", //考试管理
        meta: { pageName: "考试管理" },
        component: examInfo
      },
      {
        path: "traditionExam/:id",
        component: traditionExam
      },
      {
        path: "onlineExam/:id",
        component: onlineExam
      },
      {
        path: "practiceExam/:id",
        component: practiceExam
      },
      {
        path: "printExam/:id",
        component: printExam
      },
      {
        path: "offlineExam/:id",
        component: offlineExam
      },
      {
        path: "offlineExamOrgSettings/:id",
        component: offlineExamOrgSettings
      },
      {
        path: "onlineExamOrgSettings/:id",
        component: onlineExamOrgSettings
      },
      {
        path: "notice",
        component: notice
      }
    ]
  }
];
